ASN2FSA(1)

NAME
asn2fsa - convert biological sequence data from ASN.1 to FASTA

SYNOPSIS
asn2fsa [-] [-A acc] [-D] [-E] [-H] [-L filename] [-T] [-a type] [-b] [-c] [-d path] [-e N] [-f path] [-g] [-h filename] [-i filename] [-k] [-l] [-m] [-o filename] [-p path] [-q filename] [-r] [-s] [-u] [-v filename] [-x str] [-y] [-z]

DESCRIPTION
asn2fsa converts biological sequence data from ASN.1 to FASTA.

OPTIONS
A summary of options is included below.

-   Print usage message

-A acc
    Accession to fetch

-D  Use Dash for Gap

-E  Extended Seq-ids

-H  HTML spans

-L filename
    Log file

-T  Use Threads

-a type
    Input ASN.1 type:
    a   Automatic (default)
    z   Any
    e   Seq-entry
    b   Bioseq
    s   Bioseq-set
    m   Seq-submit
    t   batch processing (suitable for official releases; autodetects specific type)

-b  Bioseq-set is Binary

-c  Bioseq-set is Compressed

-d path
    Path to ReadDB Database

-e N
    Line length (70 by default; may range from 10 to 120)

-f path
    Path to indexed FASTA data

-g  Expand delta gaps into Ns

-h filename
    Far component cache output file name

-i filename
    Single input file (standard input by default)

-k  Local fetching

-l  Lock components in advance

-m  Master style for near segmented sequences

-o filename
    Nucleotide Output file name

-p path
    Path to ASN.1 Files

-q filename
    Quality score output file name

-r  Remote fetching from NCBI

-s  Far genomic contig for quality scores

-u  Recurse

-v filename
    Protein output file name

-x str
    File selection substring (.ent by default) [String]

-y  Debugging

-z  Print quality score gap as -1

AUTHOR
The National Center for Biotechnology Information.

SEE ALSO
asn2all(1), asn2asn(1), asn2ff(1), asn2gb(1), asn2xml(1), asndhuff(1).